﻿using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Domain.Share;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{

    public class GetMedicalReviewReadingTaskInDto
    {
        public Guid TrialId  { get; set; }

        public Guid TaskMedicalReviewId { get; set; }
    }


    public class GetMedicalReviewReadingTaskOutDto
    {
        //阅片类型 
        public ReadingMethod ReadingType { get; set; }


        public bool IsReadingTaskViewInOrder { get; set; }

        public List<TaskInfo> TaskList { get; set; } = new List<TaskInfo>();

        public List<TaskInfo> OtherDoctorTaskList { get; set; } = new List<TaskInfo>();
    }

    public class TaskInfo
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 任务名称
        /// </summary>

        public string TaskName { get; set; }

        /// <summary>
        /// 盲态名称
        /// </summary>
        public string TaskBlindName { get; set; } 

        /// <summary>
        /// 评估结果
        /// </summary>
        public string EvaluationResult { get; set; }

        public ReadingCategory ReadingCategory { get; set; }
    }

}
